<?php
include_once "inc/getBasic.inc.php";
include_once "inc/getData.inc.php";
include_once "html/headChart.php"; //required after $ts_code and $ts_name,maybe doesn't matter
$ts_code=$_REQUEST['code'];
#echo $ts_code;
$item=$_REQUEST['item'];
$day_st=($_REQUEST['s']=='')?'20120101':$_REQUEST['s'];
$day_end=($_REQUEST['e']=='')?date('Ymd'):$_REQUEST['e'];
if($item == 'total_mv' or $item=='circ_mv') $unit='-万亿';
else $unit = '';   # Without a unit on PE
#var_dump($lx);
$data=getIndexData(codetocode($ts_code),$day_st,$day_end);
$data2 = getBasicExtData($ts_code,$item,$day_st,$day_end);
#var_dump($data2);
$ts_name = codeToName($ts_code);
if($item=='total_mv_all') $item_name = '总市值';
elseif($item=='circ_mv_all') $item_name = '流通市值';
else $item_name=$item;
$legend=array($ts_name,'深证成指',$item_name);
#$value=json_encode($data['data']);
$subtext_ext = "Max: ".$data2['data_max'];
$subtext_ext .= ", Min: ".$data2['data_min'];
$subtext_ext .= ", Average: ".$data2['data_avg'];
$subtext_ext .= ", Recent: ".$data2['data_last'];
$unit='-万亿';
?>

       <script type="text/javascript">
var dom = document.getElementById("container");
var myChart = echarts.init(dom,'dark');
var app = {};
option = null;
legend = <?php echo json_encode($legend);?>;
unit ='<?php echo $unit; ?>';
var subtxt = '<?php echo $subtext_ext; ?>';
option = {
    title: {
        text: legend[0]+' V.S '+legend[2],
        subtext: subtxt,
        textAlign:'center',
        left:'50%'
    },
    tooltip: {
        trigger: 'axis'
    },
    legend: {
        data:legend,
        right:'20'
    },
    grid: {
        left: '3%',
        right: '4%',
        bottom: '3%',
        containLabel: true
    },
    toolbox: {
        feature: {
            saveAsImage: {}
        }
    },
    xAxis: {
        //type: 'category',
        type: 'time',
        boundaryGap: false
    },
    yAxis: [{
        type: 'value',
        name:legend[0], //图列
        show:true
    },
    {
        type:'value',
        name:legend[2]+unit,  //图例
        //scale:true,
        boundaryGap:false,
        show:true,
        splitLine:{
            show:false, //Y2 坐标刻度横线
        },
    }
    ],
    dataZoom: [{
        type: 'inside',   //or slider 
        start: 0,
        end: 100
    }, {
        start: 0,
        end: 100,
        handleIcon: 'M10.7,11.9v-1.3H9.3v1.3c-4.9,0.3-8.8,4.4-8.8,9.4c0,5,3.9,9.1,8.8,9.4v1.3h1.3v-1.3c4.9-0.3,8.8-4.4,8.8-9.4C19.5,16.3,15.6,12.2,10.7,11.9z M13.3,24.4H6.7V23h6.6V24.4z M13.3,19.6H6.7v-1.4h6.6V19.6z',
        handleSize: '80%',
        handleStyle: {
            color: '#fff',
            shadowBlur: 3,
            shadowColor: 'rgba(0, 0, 0, 0.6)',
            shadowOffsetX: 2,
            shadowOffsetY: 2
        }
    }],
    series: [
        {
            name:legend[0],
            type:'line',
            yAxisIndex:0,
            symbol:'none',
            data:<?php echo json_encode($data['data']); ?>
        },
        {
            name:legend[2],
            type:'line',
            yAxisIndex:1,
            symbol:'none',  //数据圆点
            smooth:false,
            data:<?php echo json_encode($data2['data']); ?>
        }
    ]
};

if (option && typeof option === "object") {
    myChart.setOption(option, true);
}
       </script>
   </body>
</html>